"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var __1 = require("../");
var Badge_md_1 = require("./README/Badge.md");
react_1.storiesOf('Core/Badge', module)
    .addDecorator(with_readme_1.default(Badge_md_1.default))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Badge, { text: 'badge1', mr: 2 }),
            React.createElement(__1.Badge, { text: 'badge2', mr: 2 }),
            React.createElement(__1.Badge, { text: 'badge3' }))));
})
    .add('Controlled', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.Badge, { primary: true, text: 'Primary', mr: 2 }),
            React.createElement(__1.Badge, { secondary: true, text: 'Secondary', mr: 2 }),
            React.createElement(__1.Badge, { tertiary: true, text: 'Tertiary', mr: 2 }),
            React.createElement(__1.Badge, { bg: 'purple', color: 'green', text: 'Custom' }))));
});
