"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var __1 = require("../");
var ButtonGroup_md_1 = require("./README/ButtonGroup.md");
react_1.storiesOf('Core/ButtonGroup', module)
    .addDecorator(with_readme_1.default(ButtonGroup_md_1.default))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(__1.Provider, null,
        React.createElement(__1.Box, { m: 3 },
            React.createElement(__1.ButtonGroup, null,
                React.createElement(__1.Button, null, "First"),
                React.createElement(__1.Button, null, "Second"),
                React.createElement(__1.Button, null, "Third")))));
});
